Kyoto Cabinet

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyotocabinet::ArcfourCompressor Class Reference

Compressor with the Arcfour cipher. More...

`#include <kccompress.h>`

List of all members.

## Public Member Functions
| ArcfourCompressor ()
| Constructor.
| ~ArcfourCompressor ()
| Destructor.
void | set_key (const void *kbuf, size_t ksiz)
| Set the cipher key.
void | set_compressor (Compressor *comp)
| Set an additional data compressor.
void | begin_cycle (uint64_t salt=0)
| Begin the cycle of ciper salt.

## Detailed Description

Compressor with the Arcfour cipher.

## Constructor & Destructor Documentation

kyotocabinet::ArcfourCompressor::ArcfourCompressor | ( |  | ) |

Constructor.

kyotocabinet::ArcfourCompressor::~ArcfourCompressor | ( |  | ) |

Destructor.

## Member Function Documentation

void kyotocabinet::ArcfourCompressor::set_key | ( | const void * | kbuf,
|  | size_t | ksiz
| ) |  |

Set the cipher key.

Parameters:

  kbuf | the pointer to the region of the cipher key.
  ksiz | the size of the region of the cipher key.

void kyotocabinet::ArcfourCompressor::set_compressor | ( | Compressor * | comp | ) |

Set an additional data compressor.

Parameters:

  comp | the additional data data compressor.

void kyotocabinet::ArcfourCompressor::begin_cycle | ( | uint64_t | salt = `0` | ) |

Begin the cycle of ciper salt.

Parameters:

  salt | the additional cipher salt.